xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) tim.thelion@gmail.com
License | BSD
Maintainer | tim.thelion@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Roledex

Contents

- Usage
- Screenshots

Description

This is a completely pointless layout which acts like Microsoft's Flip 3D

Synopsis

- data Roledex a = Roledex

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.Roledex

Then edit your `layoutHook` by adding the Roledex layout:

    myLayout =  Roledex ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

# Screenshots

data Roledex a Source #

Constructors

Roledex |

#### Instances

Instances details

LayoutClass Roledex Window Source # |

Instance details

Defined in XMonad.Layout.Roledex

Methods

runLayout :: Workspace WorkspaceId (Roledex Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Roledex Window)) Source #

doLayout :: Roledex Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Roledex Window)) Source #

pureLayout :: Roledex Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: Roledex Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Roledex Window)) Source #

handleMessage :: Roledex Window -> SomeMessage -> X (Maybe (Roledex Window)) Source #

pureMessage :: Roledex Window -> SomeMessage -> Maybe (Roledex Window) Source #

description :: Roledex Window -> String Source #

Read (Roledex a) Source # |
Instance details Defined in XMonad.Layout.Roledex Methods readsPrec :: Int -> ReadS (Roledex a) Source # readList :: ReadS [Roledex a] Source # readPrec :: ReadPrec (Roledex a) Source # readListPrec :: ReadPrec [Roledex a] Source #
Show (Roledex a) Source # |
Instance details Defined in XMonad.Layout.Roledex Methods showsPrec :: Int -> Roledex a -> ShowS Source # show :: Roledex a -> String Source # showList :: [Roledex a] -> ShowS Source #